#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>

int main() {
    int N, L;
    scanf("%d %d", &N, &L);
    int r = -1;
    bool bl= true;
    for (int i = 1; i <= N; i++) {
        int Hi;
        scanf("%d", &Hi);
        if (Hi <= L) 
         {
             if(bl)
             {
                r = i;
                bl = false;
             }
         }
           
    }
    printf("%d\n", r);
    return 0;
}